#           Create a 8 bit image  file  from a projected SDS (GCTP_GEO)
#=======================================================================

verbose
clear_data
set_output_directory            ../OUTPUTS/
set_input_directory             ../IMAGES

set_projection_to_geometry 	ProjectionTo="SINUSOIDAL"

set_color_scale_name   		"RAINBOW3"
set_image_background            color=White

set_input_hdf_file              MOD08_D3.A2000366.002.2001063185705.mimic.hdf
select_SDS              	SDSname="Optical_Depth_Land_And_Ocean_Mean"

add_maps                        Coastlines=yes Rivers=no Boundaries=no CoastlineColor=Green 

add_grids                       color=Red LatitudeMin=-90.0  LatitudeMax=90.0 LatitudeStep= 20.0 \
                                LongitudeMin=-180.0 LongitudeMax=180.0 LongitudeStep=20.0

set_SDS_enhance 		min=1 max=294.0
create_MODIS_SDS_JPEG_image    	FileName="LAND_SDS_JPEG_MAPSimage.jpg" width=1024 height=512
