#                      Create a (R,G,B) composite postscript file  
#==================================================================
verbose
clear_data
set_output_directory            ../OUTPUTS/
set_input_directory             ../IMAGES

set_projection_to_geometry 	ProjectionTo="LINEAR" \
				LatitudeMinTo=-90.0   LatitudeMaxTo=90.0 \
                                LongitudeMinTo=-180.0 LongitudeMaxTo=180.0


set_image_background            color=White

add_maps                        Coastlines=yes Rivers=yes Boundaries=yes \
                                CoastlineColor=Green RiverColor=Blue BoundaryColor=Magenta

add_grids                       color=Red LatitudeMin=-90.0  LatitudeMax=90.0 LatitudeStep= 5.0 \
                                LongitudeMin=-180.0 LongitudeMax=180.0 LongitudeStep=5.0

set_input_hdf_file 		MOD021KM.A2001140.0725.002.2001144042556.mimic.hdf
send_to_PS_File  		FileName="RGB_GLOBAL_MAPSprint.ps" Type=Color PaperFormat=A4 \
				dpi=200 Copies=1 Orientation=Landscape print=RGB RGBMode="Log"\
				minR=6.0 maxR=8.2 minG=6.0 maxG=8.2 minB=6.0 maxB=8.2 \
				PageTitle="MOD021KM.A2001140.0725.002.2001144042556.hdf"
