#        LEVEL1B (1km) POSTSCRIPT IMAGE  + GRIDS MAPS EARTH_ICON TEXT
verbose
clear_data
set_output_directory            /home/louis/OUTPUTS
set_input_directory             /home/louis/MODIS_ALL_IMAGES/

set_projection_to_geometry      ProjectionTo="LINEAR"
set_input_hdf_file             	MOD021KM.A2000268.1710.002.2000282012618.hdf

set_image_background 		color=GREY0

add_maps        Coastlines=yes Rivers=yes Boundaries=yes \
               CoastlineColor=Green RiverColor=Blue BoundaryColor=magenta

add_grids    color=White LatitudeMin=-90 LatitudeMax=90 LatitudeStep=2 \
		LongitudeMin=-180 LongitudeMax=180 LongitudeStep=2

add_earth_icon                  x=1 y=1 width=3 height=3 

add_text 		x= 10 y=512 ForegroundColor="YELLOW"  BackgroundColor="TRANSPARENT" \
			Border=0   FontName="accidd.ttf" SizeFactor=4.0 Rotation=30.0 \
			Text="MODIS LEVEL1B (1km)"


add_latitude_labels    ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f" LatitudeStep=4

add_longitude_labels   ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f"  LongitudeStep=4


send_to_PS_File     FileName="1B_RGB_PS.ps" Type=Color PaperFormat=A4 dpi=200 Orientation=Portrait print=RGB  RGBMode=log \
			PageTitle="MOD021KM.A2000268.1710.002.2000282012618.hdf"
