#        COARSE(Misc)  SDS JPEG IMAGE  + GRIDS MAPS EARTH_ICON TEXT + SCALE + LABELS
verbose
clear_data
set_output_directory            /home/louis/OUTPUTS
set_input_directory             /home/louis/MODIS_ALL_IMAGES/

set_projection_to_geometry      ProjectionTo="LINEAR"
set_input_hdf_file             	MOD09CRS.A2001140.0900.003.2001255153458.hdf

set_color_scale_name 		RAINBOW0
set_image_background 		color=GREY0

add_maps        Coastlines=yes Rivers=yes Boundaries=yes \
               CoastlineColor=Green RiverColor=Blue BoundaryColor=magenta


add_grids    color=White LatitudeMin=-90 LatitudeMax=90 LatitudeStep=2 \
		LongitudeMin=-180 LongitudeMax=180 LongitudeStep=2

add_earth_icon                  x=1 y=1 width=3 height=3 

add_scale_to_image      x=.5 y=.9 width=.4 height=.05 \
			TickColor=White  ForegroundColor=Black backgroundColor=White \
			TextFormat="%.1f" FontName=Courb.ttf SizeFactor=1.0 \
			UpLeftSide=Yes NoTicks=No \
			Labels="0  .1    63 .2   127 .3 140 .6 255 .8"

select_SDS                    SDSname="Coarse Resolution Surface Reflectance Band 1"
set_SDS_enhance 		min=0 max=8000               

add_text 		x= .01 y=.4 ForegroundColor="YELLOW"  BackgroundColor="TRANSPARENT" \
			Border=0   FontName="accidd.ttf" SizeFactor=1.5 Rotation=30.0 \
			Text="MODIS COARSE MISC FORMAT"

add_text 		x= .6 y=.96 ForegroundColor="White"  BackgroundColor="TRANSPARENT" \
			Border=2   FontName="Bell.ttf" SizeFactor=1.0 Rotation=0.0 \
			Text="Radiance scale"

add_latitude_labels    ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f" LatitudeStep=4

add_longitude_labels   ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Courb.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f"  LongitudeStep=4

send_to_PS_File     FileName="CRS_SDS_PS.ps" Type=Color PaperFormat=A4 dpi=200 Orientation=Portrait print=SDS  \
			PageTitle="MOD09CRS.A2001140.0900.003.2001255153458.hdf"


