#      Create a mosaic image with 250m level1b files and generate a jpeg image control
=======================================================================================
verbose
clear_data
set_output_directory            /home/louis/OUTPUTS
set_input_directory             /home/louis/MODIS_ALL_IMAGES

set_projection_to_geometry      ProjectionTo="LINEAR" widthto=1000 heightto=1000 \
                           LatitudeMinTo=-39. LatitudeMaxTo=24.0 \
			LongitudeMinTo=-26.5 LongitudeMaxTo=34.0
			
set_input_hdf_file  	/home/louis/MODIS_ALL_IMAGES/MOD02Q*


# ============================ CreateJPEG=yes image setting =========================================
set_image_background 		color=GREY0

add_maps        Coastlines=yes Rivers=yes Boundaries=yes \
               CoastlineColor=Green RiverColor=Blue BoundaryColor=magenta

add_grids    color=White LatitudeMin=-90 LatitudeMax=90 LatitudeStep=20 \
		LongitudeMin=-180 LongitudeMax=180 LongitudeStep=20

add_earth_icon                  x=10 y=10 width=100 height=100  

add_text 		x= 400 y=512 ForegroundColor="YELLOW"  BackgroundColor="TRANSPARENT" \
			Border=0   FontName="Bell.ttf" SizeFactor=4.0 Rotation=30.0 \
			Text="HDFLook_MODIS"

add_latitude_labels    ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Bell.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f" \
                        Longitude=0 LatitudeMin=-90  LatitudeMax=90 LatitudeStep=20

add_longitude_labels   ForegroundColor="Red" BackgroundColor="White" Border=0 FontName="Bell.ttf" \
                        SizeFactor=1.0 Rotation=0. Format="%.1f" \
                        Latitude=10 LongitudeMin=-180 LongitudeMax=180 LongitudeStep=20
#===================================================================================================

create_MODIS_RGB_Mosaic Filename="MOS250m"   ClearFile=Yes RGBMode="LOG"  CreateJPEG=yes
